Bug 397541 - Fedora 8 mail-notification receives errors upon logging in
Fedora 8 mail-notification receives errors upon logging in
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mail-notification (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 19:57 EST by Scott Griffin
Modified: 2007-12-31 11:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 11:34:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug report from mail-notification Fedora 8 (280.40 KB, text/plain)
2007-11-23 19:57 EST, Scott Griffin
no flags Details

  None (edit)
Description Scott Griffin 2007-11-23 19:57:03 EST
Description of problem:
Mail-notification in Fedora 8 gets hung in a endless loop with the error I have
attached.

Version-Release number of selected component (if applicable):
Fedora 8 - the latest release after running yum update not to sure of the version.

How reproducible:
When logging in on Fedora 8 the mail-notification generates error after error
the only way to get rid of the application is to log off.

Steps to Reproduce:
1. Activate mail-notification
2. Log into the machine
3. Errors from a bug that is being attached.
  
Actual results:


Expected results:


Additional info:
Comment 1 Scott Griffin 2007-11-23 19:57:03 EST
Created attachment 267851 [details]
Bug report from mail-notification Fedora 8
Comment 2 Thorsten Leemhuis 2007-11-25 08:01:09 EST
(In reply to comment #1)
> Created an attachment (id=267851) [edit]
> Bug report from mail-notification Fedora 8 

Never seen such errors messages. Dmitry, do you have any clue what might be
wrong there?

Comment 3 Scott Griffin 2007-11-25 12:44:58 EST
The strange thing about the mail-notification error is it tries to restart in a
endless loop but it you are trying stop the application it auto-restarts on top
of itself.
Comment 4 Dmitry Butskoy 2007-11-26 07:34:35 EST
It seems that Fedora 8 have spoiled mail-notification some way. There are
several bug reports already...

Thorsten, could you examine the build.logs of mail-notification, especially
various compiler warnings? I hope we can find some new-library-incompatibilities
this way.

Or point me to that build logs.
Comment 5 Thorsten Leemhuis 2007-11-26 12:29:37 EST
(In reply to comment #4)
> It seems that Fedora 8 have spoiled mail-notification some way. There are
> several bug reports already...

I disagree. One was one bug about a extreme rare corner case where the user did
something wrong that lead to the error he saw.

This one might be a bug, but I still fail to even understand what's wrong here. 

> Thorsten, could you examine the build.logs of mail-notification, especially
> various compiler warnings? I hope we can find some new-library-incompatibilities
> this way.
> Or point me to that build logs.

Maybe you know where to find them, but afaics they got deleted:
http://koji.fedoraproject.org/koji/taskinfo?taskID=129820
Comment 6 Dmitry Butskoy 2007-11-26 12:47:50 EST
Yep, it seems to be deleted.

I still have no access to any F8 machine. Could you rebuild youself and save the
build logs?
Comment 7 Thorsten Leemhuis 2007-11-26 13:04:01 EST
(In reply to comment #6)
> I still have no access to any F8 machine. Could you rebuild youself and save the
> build logs?

I'll try to do that later. But I'd reallly like to understand the problem we
have here.

@Scott, can you please open a terminal, run "killall mail-notification" in it
(just to be mn isn't running already) and afterwards start mail-notification
with the command "mail-notification" in the terminal? Is there any output? Does
it crash as well?
Comment 8 Scott Griffin 2007-12-01 23:23:20 EST
Sorry I am late getting back with you, I was able to stop the mail-notification
and restart in the terminal however it did not crash.

I will be monitoring this, 


Thanks,
Scott Griffin
Comment 9 Thorsten Leemhuis 2007-12-31 11:34:55 EST
(In reply to comment #8)
> Sorry I am late getting back with you, I was able to stop the mail-notification
> and restart in the terminal however it did not crash.
> I will be monitoring this, 

Closing this for now due to inactivity; if it happens again please let us know.

Note You need to log in before you can comment on or make changes to this bug.